Bug 49994 - TABLES : jumps on selecting text in table in big cell on neighboring pages
Summary: TABLES : jumps on selecting text in table in big cell on neighboring pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 56797 (view as bug list)
Depends on:
Blocks: Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2012-05-16 02:29 UTC by Palagichev
Modified: 2021-09-19 03:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Palagichev 2012-05-16 02:29:15 UTC
Writer hangs when you select text in a table in a big cell with the text broken into two pages in the presence of fixed header.
1. create new table, columns 2, rows 2, with Heading
2. in header write one line of text
3. in second line write big fragmet of text, so that text in second cell transferred to second page

When you select fragment of text in neighboring pages in one cell selected fragment jump chaotic and in some cases Writer hangs and mouse blocking.

Kubuntu 10.04, LibreOffice Writer LibreOffice 3.5.3.2 Build ID: 350m1(Build:2)
same issue in OpenOffice
Comment 1 Brenda Granados 2013-03-07 15:13:53 UTC
*** Bug 56797 has been marked as a duplicate of this bug. ***
Comment 2 QA Administrators 2015-02-19 15:50:54 UTC Comment hidden (obsolete)
Comment 3 Frantisek Erben 2015-02-19 20:21:52 UTC
Bug still occured. Tested on LO 4.4.0.1 (1ba9640ddd424f1f535c75bf2b86703770b8cf6f) runing on OS X 10.10.2.

If you would try fix this bug see duplicate Bug 56797 – there are test file and screenrecord for reproduction.
Comment 4 QA Administrators 2016-02-21 08:38:23 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 16:14:27 UTC Comment hidden (obsolete)
Comment 6 Timur 2019-09-05 12:36:18 UTC
Repro OO and 6.4+.
Steps from duplicated bug:
1. open ODT attachment 69599 [details]
2. try to select with mouse some text that crossed to the following page.
3. see that view jumps
Comment 7 Xisco Faulí 2019-09-16 14:17:52 UTC
IMHO, it doesn't make sense the combination 'high' and 'minor'. Lowering priority...

@Jim, I thought you might be interested in this issue...
Comment 8 Jim Raykowski 2019-09-19 07:15:47 UTC
The original code that does the selection (incorrectly) puzzels me. Here is a patch that provides expected behavior for text selection across pages when a table has repeat heading. I could find no problems while testing but no guarantees with this one :). 

https://gerrit.libreoffice.org/#/c/79113/
Comment 9 QA Administrators 2021-09-19 03:44:48 UTC
Dear Palagichev,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug